### Method

# Vips Region paint_pel

#### Declaration [src]

    void
    vips_region_paint_pel (
      VipsRegion* reg,
      const VipsRect* r,
      const VipsPel* ink
    )

#### Description [src]

Paints `ink` into `reg` covering rectangle `r`. `r` is clipped against `reg`->valid.

`ink` should be a byte array of the same size as an image pixel containing the binary value to write into the pixels.

See also

`vips_region_paint()`.

#### Parameters

`r`

  Type: `VipsRect`

  Area to paint.

  The data is owned by the caller of the method.

`ink`

  Type: `VipsPel`

  Value to paint.

  The data is owned by the caller of the method.